package problems;

import java.util.Scanner;

public class TestSeat {
	
	public static void main(String [] args) {
		
		/* e. */
		Scanner sc = new Scanner(System.in);
		
		// Read r
		int r = 0;
		do {
			System.out.print("r? (>0): ");
			r = sc.nextInt();
		} while(r <= 0);
		
		// Read c
		int c = 0;
		do {
			System.out.print("c? (>0): ");
			c = sc.nextInt();
		} while(c <= 0);
		
		// Wagon
		Seat [][] wagon = new Seat[r][c];
		
		/* f. */
		for(int i=0; i<wagon.length; i++)
			for(int j=0; j<wagon[i].length; j++) {
				wagon[i][j] = new Seat();
				wagon[i][j].setId(i+1, j+1);
				wagon[i][j].setTaken(false); // not necessary
			}
		
		/* g. */
		for(int j=0; j<wagon[r-1].length; j++)
			wagon[r-1][j].setTaken(true);
		
		/* i. */
		System.out.println("Free: " + countFreeSeats(wagon));
				
	}
	
	/* h. */
	public static int countFreeSeats(Seat [][] w) {
		int free = 0;
		
		for(int i=0; i<w.length; i++)
			for(int j=0; j<w[i].length; j++)
				if( !w[i][j].isTaken() )
					free++;
		
		return free;
	}
}
